IRPCServerAdmin.UpsertServerUser

View as Markdown

Administration API / specialized admin session idempotent

Adds a server user or changes the server roles of an existing one.

ServiceServer administration MFiles.IRPCServerAdmin
gRPC method/MFiles.IRPCServerAdmin/UpsertServerUser
HTTP (mf-http-grpc)POST /grpc/v1/upsert-server-user
RequestUpsertServerUserRequest
ResponseUpsertServerUserResponse
Book and levelAdministration API, specialized
Kindadmin
SessionRequired: the session ID from LogIn in the mfiles-session-id-bin metadata.
Idempotentyes
Returns metadata structure versionno
Streamingnone (unary)

Remarks

Request: UpsertServerUserRequest

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
serveruserServerUserThe account name and its server roles. See ServerUser.
serveruser.login_namestringThe login name that is associated with this server user (e.g. 'DOMAIN\user').
serveruser.server_rolesSRVROLESBitmask of the server roles of the login.
serveruser.server_roles.allboolSpecifies all flags set; Including any future flags.
serveruser.server_roles.system_administratorboolSystem administrator (can perform any operation on the server). [ name( "vaultCreator" ) ] const SRVROLES SRVROLE_VAULT_CREATOR = ( 1 << 1 ); //!< Can create, modify and delete vaults. Can also restore vaults. [ name( "backupOperator" ) ] const SRVROLES SRVROLE_BACKUP_OPERATOR = ( 1 << 2 ); //!< Can back up vaults.
serveruser.server_roles.can_log_inboolCan log in. A login that does not have this role is disabled and cannot log in even if the login has the sysadmin role.
serveruser.server_roles.invalid_passwordboolThis special role indicates that the M-Files login does not yet have a valid password. MFAdmin uses this flag to force the user to define the password.

Response: UpsertServerUserResponse

No fields.